﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:dummy='http://www.xbrl.org/2001/instance'
     xmlns:jp-ta-pl="http://www.xbrl.org/taxonomy/jp/fr/ta/pl/2003-01-30" 
     xmlns:jp-pl="http://www.xbrl.org/taxonomy/jp/fr/common/pl/2003-01-30" 
     xmlns:ar="http://schemas.microsoft.com/office/infopath/2003/sample/AbsenceRequest"
	xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2003-07-31T07:34:14"
>

<xsl:output encoding="UTF-8"/>

<xsl:param name="wd">null</xsl:param>
<xsl:param name="whichDay"/>
<xsl:template match="/">

  <html>
  <head/>

  <body>
	<p>【
<xsl:value-of select="number(substring($whichDay,1,4))"/>年
<xsl:value-of select="number(substring($whichDay,5,2))"/>月
<xsl:value-of select="number(substring($whichDay,7,2))"/>日
	】</p>

	<xsl:variable name="content-check">
	<xsl:call-template name="contCheck"/>
	</xsl:variable>

<xsl:choose>
	<xsl:when test="string($content-check)">
	この日に都内で開催されるイベントは以下のとおりです。<br/><br/>
		<center>
		<table border="1" width="90%">
			<tr>
				<td><b>イベント</b></td>
				<td><b>会場</b></td>
				<td><b>開始日</b></td>
				<td><b>終了日</b></td>
				<td><b>開始時間</b></td>
				<td><b>終了時間</b></td>
				<td><b>連絡先</b></td>
				<td><b>ホームページ</b></td>
			</tr>
		<xsl:copy-of select="$content-check"/>
		</table>
		</center>
	</xsl:when>
	<xsl:otherwise>
	この日に都内で開催されるイベントはありません。
	</xsl:otherwise>
</xsl:choose>

  </body>
  </html>
</xsl:template>

<xsl:template name="contCheck">

	<xsl:for-each select="page/ROWSET/EVENT/my:マイフィールド">

		<xsl:variable name="fromDay" select="
			number(
			concat(
				substring(my:start_date,1,4),
				substring(my:start_date,6,2),
				substring(my:start_date,9,2)))
		"/>
		<xsl:variable name="toDay" select="
			number(
			concat(
				substring(my:end_date,1,4),
				substring(my:end_date,6,2),
				substring(my:end_date,9,2)))
		"/>

		<xsl:if test="$fromDay &lt;= $whichDay">
			<xsl:if test="$toDay &gt;= $whichDay">
<xsl:variable name="url">
	<xsl:value-of select="my:URL"/>
</xsl:variable>
				<tr>
				<td><xsl:value-of select="my:event"/></td>
				<td><xsl:value-of select="my:location"/></td>
				<td><xsl:value-of select="my:start_date"/></td>
				<td><xsl:value-of select="my:end_date"/></td>
				<td><xsl:value-of select="my:start_time"/></td>
				<td><xsl:value-of select="my:end_time"/></td>
				<td><xsl:value-of select="my:contact"/></td>
				<td><a href="{$url}">
				<xsl:value-of select="my:URL"/></a></td>
				</tr>
			</xsl:if>
		</xsl:if>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
